/***************************************************************************
 *            ADC.c
 *
 *  Mon Oct 31 16:42:06 2005
 *  Copyright  2005  Oliver Schwaneberg, FB02.FH-Bonn-Rhein-Sieg, BGIA
 *  oliver.schwaneberg@smail.inf.fh-brs.de
 ****************************************************************************/
#include "drivers/ADC.h"
#include "Prometheus.h"

int ADC_read(char channel)
{
    //~ int ADCr;

    ADMUX = channel;
    //ADCSRA = (1<<ADEN) | (1<<ADPS2) | (1<<ADPS0);

	ADCSRA |= (1<<ADSC);        // do single conversion
    while(!(ADCSRA & 0x10));    // wait for conversion done, ADIF flag active
    
	//~ ADCr = ADCL;            // read out ADCL register
 	//~ ADCr |= (ADCH << 8);	// read out ADCH register

	//ADCSRA = 0;

    return ADC;
}

void ADC_init(void){
	//Set to 115KHz
	ADCSRA = (1<<ADEN) | (1<<ADPS2) | (1<<ADPS1) | (1<<ADPS0);
	ADC_read(0);
}

void ADC_deactivate(void){
	ADCSRA = 0;
}
