#ifndef __SPI__
#define __SPI__

/**
 * This little driver helps us to initialize and manage the spi
 * interface. It's job is usually done by other drivers, but as
 * different devices need to share this interface a central management
 * is needed.
 */

#include "Prometheus.h"

void spi_init(void);

void spi_dummywrite(void);

void spi_slow_down(void);

void spi_highspeed(void);
void spi_set_highspeed(void);

void spi_restore(void);

#endif
