#ifndef _MOONPHASE_
#define _MOONPHASE_

#include "Prometheus.h"

/**
 * Calculates the moonphase and returns a value between 0 (new moon)
 * and 4 (fullmoon). 255 is reserved for mega-moon!
 * 
 * TODO: It should feature smaller steps, like 0 to 255.
 *       Not optimized at all!
 */
int8_t calculate_moon_phase(int32_t year,int32_t month,int32_t day);

#endif
