/**
 * Button.c 2009 alpha
 */

#include "button.h"

uint8_t button_lock = 5;
uint8_t button_last_pressed = BUTTON_NONE;

void button_init(void)
{
    // Init port pins
    BUTTON_DDR &= ~BUTTON_MASK; //Set Input
    BUTTON_PORT |= BUTTON_MASK;  //Enable PullUps
    
}

/**
 * Returns a value mathing to the definitions of BUTTON_UP, 
 * BUTTON_DOWN, etc..
 */
char button_get_key(void)
{
    uint8_t button_pressed;

	button_pressed = ((~BUTTON_PIN) & BUTTON_MASK);

	if ((button_lock > 12) || ((button_pressed != button_last_pressed) 
		&& (button_lock > 2))) {
		button_lock = 0;
		button_last_pressed = button_pressed;
		return button_pressed;
	}
	else {
		button_lock++;
		return BUTTON_NONE;
	}
}
